<?php

/* ================== Homepage ================== */

use App\Http\Controllers\HomeController;

Route::get('/', 'HomeController@index');
Route::get('/home', 'HomeController@index');
Route::get('/service', 'HomeController@service');
Route::get('/faq', 'HomeController@faq');
Route::get('/price', 'HomeController@price');
Route::get('/helpcenter', 'HomeController@helpcenter');
Route::get('/user-login', 'HomeController@user_login');
Route::get('/signup', 'HomeController@signup');
Route::post('/user_signup', 'HomeController@user_signup');
Route::post('/userLogin', 'HomeController@userLogin');
Route::get('/dashboard', 'AdminController@dashboard');
Route::get('/manage-k-premium', 'AdminController@manage_k_premium');
Route::get('/fromweb', 'AdminController@fromweb');
Route::get('/message__report', 'AdminController@message__report');
Route::get('/get_message_response', 'HomeController@get_message_response');
Route::get('/csv-upload', 'AdminController@csv_upload');
Route::get('/csv_file_view/{lang?}', 'AdminController@csv_file_view_page');
Route::post('/csvupload', 'HomeController@csv_upload_data');
Route::get('/purpose-of-use', 'AdminController@purpose_of_use');
Route::get('/manage-dial-sms', 'AdminController@manage_dial_sms');
Route::get('/authenticatemobilenumber', 'AdminController@authenticatemobilenumber');
Route::post('/authenticatemobilenumber', 'AdminController@authenticatemobilenumber');
Route::get('/purchasehistory', 'AdminController@purchasehistory');
Route::get('/changeaccountinformation', 'AdminController@changeaccountinformation');
Route::get('/usagelog', 'AdminController@usagelog');
Route::get('/logout', 'AdminController@logout');
// Route::post('/reset_password', 'HomeController@reset_password');
// Route::get('/reset_password/{email?}', 'HomeController@reset_password_get');
// Route::get('/reset-password-update-page/{token}/{email}', 'HomeController@reset_password_update_page');
Route::post('/update_reset_password', 'HomeController@update_reset_password');
Route::get('/notation', 'HomeController@notation');
Route::get('/condition', 'HomeController@condition');
Route::get('/package-sms', 'AdminController@package_sms');
Route::post('/package_sms_add_point', 'AdminController@package_sms_add_point');
Route::post('/packageSmsAdd', 'AdminController@packageSmsAdd');
Route::post('/stripePost', 'AdminController@stripePost');
Route::post('/payment_success', 'AdminController@paymentsuccess');
Route::post('/web-sms-history-store', 'HomeController@web_sms_history_store');
Route::post('/purpose_of_use', 'HomeController@purpose_of_use');
Route::post('/use_log', 'HomeController@use_log');
Route::get('/edit', 'AdminController@edit');
Route::post('/update_user_data', 'AdminController@update_user_data');
Route::get('/password/reset', 'HomeController@reset_password_email');
Route::get('/get_usageLog', 'AdminController@get_usageLog');
Route::get('password-reset', 'PasswordController@showForm'); //I did not create this controller. it simply displays a view with a form to take the email
Route::post('password-reset', 'HomeController@sendPasswordResetToken');
Route::get('reset-password/{token}', 'HomeController@showPasswordResetForm');
Route::post('reset-password', 'HomeController@resetPassword');




Route::auth();

/* ================== Access Uploaded Files ================== */
Route::get('files/{hash}/{name}', 'LA\UploadsController@get_file');

/*
|--------------------------------------------------------------------------
| Admin Application Routes
|--------------------------------------------------------------------------
*/

$as = "";
if (\Dwij\Laraadmin\Helpers\LAHelper::laravel_ver() == 5.3) {
	$as = config('laraadmin.adminRoute') . '.';

	// Routes for Laravel 5.3
	Route::get('/logout', 'Auth\LoginController@logout');
}

Route::group(['as' => $as, 'middleware' => ['auth', 'permission:ADMIN_PANEL']], function () {

	/* ================== Dashboard ================== */

	Route::get(config('laraadmin.adminRoute'), 'LA\DashboardController@index');
	Route::get(config('laraadmin.adminRoute') . '/dashboard', 'LA\DashboardController@index');

	/* ================== Users ================== */
	Route::resource(config('laraadmin.adminRoute') . '/users', 'LA\UsersController');
	Route::get(config('laraadmin.adminRoute') . '/user_dt_ajax', 'LA\UsersController@dtajax');

	/* ================== Uploads ================== */
	Route::resource(config('laraadmin.adminRoute') . '/uploads', 'LA\UploadsController');
	Route::post(config('laraadmin.adminRoute') . '/upload_files', 'LA\UploadsController@upload_files');
	Route::get(config('laraadmin.adminRoute') . '/uploaded_files', 'LA\UploadsController@uploaded_files');
	Route::post(config('laraadmin.adminRoute') . '/uploads_update_caption', 'LA\UploadsController@update_caption');
	Route::post(config('laraadmin.adminRoute') . '/uploads_update_filename', 'LA\UploadsController@update_filename');
	Route::post(config('laraadmin.adminRoute') . '/uploads_update_public', 'LA\UploadsController@update_public');
	Route::post(config('laraadmin.adminRoute') . '/uploads_delete_file', 'LA\UploadsController@delete_file');

	/* ================== Roles ================== */
	Route::resource(config('laraadmin.adminRoute') . '/roles', 'LA\RolesController');
	Route::get(config('laraadmin.adminRoute') . '/role_dt_ajax', 'LA\RolesController@dtajax');
	Route::post(config('laraadmin.adminRoute') . '/save_module_role_permissions/{id}', 'LA\RolesController@save_module_role_permissions');

	/* ================== Permissions ================== */
	Route::resource(config('laraadmin.adminRoute') . '/permissions', 'LA\PermissionsController');
	Route::get(config('laraadmin.adminRoute') . '/permission_dt_ajax', 'LA\PermissionsController@dtajax');
	Route::post(config('laraadmin.adminRoute') . '/save_permissions/{id}', 'LA\PermissionsController@save_permissions');

	/* ================== Departments ================== */
	Route::resource(config('laraadmin.adminRoute') . '/departments', 'LA\DepartmentsController');
	Route::get(config('laraadmin.adminRoute') . '/department_dt_ajax', 'LA\DepartmentsController@dtajax');

	/* ================== Employees ================== */
	Route::resource(config('laraadmin.adminRoute') . '/employees', 'LA\EmployeesController');
	Route::get(config('laraadmin.adminRoute') . '/employee_dt_ajax', 'LA\EmployeesController@dtajax');
	Route::post(config('laraadmin.adminRoute') . '/change_password/{id}', 'LA\EmployeesController@change_password');

	/* ================== Organizations ================== */
	Route::resource(config('laraadmin.adminRoute') . '/organizations', 'LA\OrganizationsController');
	Route::get(config('laraadmin.adminRoute') . '/organization_dt_ajax', 'LA\OrganizationsController@dtajax');

	/* ================== Backups ================== */
	Route::resource(config('laraadmin.adminRoute') . '/backups', 'LA\BackupsController');
	Route::get(config('laraadmin.adminRoute') . '/backup_dt_ajax', 'LA\BackupsController@dtajax');
	Route::post(config('laraadmin.adminRoute') . '/create_backup_ajax', 'LA\BackupsController@create_backup_ajax');
	Route::get(config('laraadmin.adminRoute') . '/downloadBackup/{id}', 'LA\BackupsController@downloadBackup');

	/* ================== Countries ================== */
	Route::resource(config('laraadmin.adminRoute') . '/countries', 'LA\CountriesController');
	Route::get(config('laraadmin.adminRoute') . '/country_dt_ajax', 'LA\CountriesController@dtajax');

	/* ================== Countries ================== */
	Route::resource(config('laraadmin.adminRoute') . '/countries', 'LA\CountriesController');
	Route::get(config('laraadmin.adminRoute') . '/country_dt_ajax', 'LA\CountriesController@dtajax');

	/* ================== Time_zones ================== */
	Route::resource(config('laraadmin.adminRoute') . '/time_zones', 'LA\Time_zonesController');
	Route::get(config('laraadmin.adminRoute') . '/time_zone_dt_ajax', 'LA\Time_zonesController@dtajax');


	/* ================== Purpose_Uses ================== */
	Route::resource(config('laraadmin.adminRoute') . '/purpose_uses', 'LA\Purpose_UsesController');
	Route::get(config('laraadmin.adminRoute') . '/purpose_use_dt_ajax', 'LA\Purpose_UsesController@dtajax');

	/* ================== Packages ================== */
	Route::resource(config('laraadmin.adminRoute') . '/packages', 'LA\PackagesController');
	Route::get(config('laraadmin.adminRoute') . '/package_dt_ajax', 'LA\PackagesController@dtajax');


	/* ================== Purposes ================== */
	Route::resource(config('laraadmin.adminRoute') . '/purposes', 'LA\PurposesController');
	Route::get(config('laraadmin.adminRoute') . '/purpose_dt_ajax', 'LA\PurposesController@dtajax');

	/* ================== Package_histories ================== */
	Route::resource(config('laraadmin.adminRoute') . '/package_histories', 'LA\Package_historiesController');
	Route::get(config('laraadmin.adminRoute') . '/package_history_dt_ajax', 'LA\Package_historiesController@dtajax');


	/* ================== Point_purchases ================== */
	Route::resource(config('laraadmin.adminRoute') . '/point_purchases', 'LA\Point_purchasesController');
	Route::get(config('laraadmin.adminRoute') . '/point_purchase_dt_ajax', 'LA\Point_purchasesController@dtajax');

	/* ================== Csv_uploads ================== */
	Route::resource(config('laraadmin.adminRoute') . '/csv_uploads', 'LA\Csv_uploadsController');
	Route::get(config('laraadmin.adminRoute') . '/csv_upload_dt_ajax', 'LA\Csv_uploadsController@dtajax');


	/* ================== Web_Sms_Histories ================== */
	Route::resource(config('laraadmin.adminRoute') . '/web_sms_histories', 'LA\Web_Sms_HistoriesController');
	Route::get(config('laraadmin.adminRoute') . '/web_sms_history_dt_ajax', 'LA\Web_Sms_HistoriesController@dtajax');

	/* ================== Faqs ================== */
	Route::resource(config('laraadmin.adminRoute') . '/faqs', 'LA\FaqsController');
	Route::get(config('laraadmin.adminRoute') . '/faq_dt_ajax', 'LA\FaqsController@dtajax');

	/* ================== Orders ================== */
	Route::resource(config('laraadmin.adminRoute') . '/orders', 'LA\OrdersController');
	Route::get(config('laraadmin.adminRoute') . '/order_dt_ajax', 'LA\OrdersController@dtajax');

	/* ================== Message_reports ================== */
	Route::resource(config('laraadmin.adminRoute') . '/message__reports', 'LA\Message__reportsController');
	Route::get(config('laraadmin.adminRoute') . '/message__report_dt_ajax', 'LA\Message__reportsController@dtajax');
});
