<?php $__env->startSection('htmlheader_title'); ?>
    Log in
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<body class="hold-transition login-page">
    <div class="login-box">
        <div class="login-logo">
            <a href="<?php echo e(url('/home')); ?>"><b><?php echo e(LAConfigs::getByKey('sitename_part1')); ?> </b><?php echo e(LAConfigs::getByKey('sitename_part2')); ?></a>
        </div>

    <?php if(count($errors) > 0): ?>
        <div class="alert alert-danger">
            <strong>Whoops!</strong> There were some problems with your input.<br><br>
            <ul>
                <?php foreach($errors->all() as $error): ?>
                    <li><?php echo e($error); ?></li>
                <?php endforeach; ?>
            </ul>
        </div>
    <?php endif; ?>

    <div class="login-box-body">
    
    <p class="login-box-msg">New Employee Sign Up</p>
    
    <form id="registration_form" action="<?php echo e(url('/register')); ?>" method="post">

        <input type="hidden" name="_token" value="<?php echo e(csrf_token()); ?>">

         <div class="form-group has-feedback">
            <input type="text" class="form-control" placeholder="Employee Name" name="name" id="name" />
            <span class="glyphicon glyphicon-envelope form-control-feedback"></span>
        </div>

        <div class="form-group has-feedback">
            <input type="email" class="form-control" placeholder="Email" name="email" id="email" />
            <span class="glyphicon glyphicon-envelope form-control-feedback"></span>
        </div>

        <div class="form-group has-feedback">
            <input type="password" class="form-control" placeholder="Password" name="password" id="password" />
            <span class="glyphicon glyphicon-lock form-control-feedback"></span>
        </div>

        <div class="form-group has-feedback">
            <input type="password" class="form-control" placeholder="Confirm Password" name="cm_password" id="cm_password" />
            <span class="glyphicon glyphicon-lock form-control-feedback"></span>
        </div>

        <div class="row">
            <div class="col-xs-4">
                <button type="submit" class="btn btn-primary btn-block btn-flat">Sign Up</button>
            </div><!-- /.col -->
        </div>
    </form>

    <?php echo $__env->make('auth.partials.social_login', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>

    <a href="<?php echo e(url('/')); ?>">Back To login</a><br>

</div><!-- /.login-box-body -->

</div><!-- /.login-box -->

    <?php echo $__env->make('la.layouts.partials.scripts_auth', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>

    <script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/jquery.validate.min.js"></script>

    <script type="text/javascript">
    
    $('#registration_form').validate({
      rules: {
        name: 'required',
        email: {
          required: true,
          email: true,
        },
        password: {
          required: true,
          minlength: 5,
        },
        cm_password: {
            minlength : 5,
            equalTo : "#password"
        }
      },
      messages: {
        name: 'This field is required',
        email: 'Enter a valid email',
        password: {
          minlength: 'Password must be at least 5 characters long'
        },
        cm_password: {
          minlength: 'Password must be at least 5 characters long',
          cm_password: " Enter Confirm Password Same as Password"
        },
      },
      submitHandler: function(form) {
        form.submit();
      }
    });

    </script>

    <script>
        $(function () {
            $('input').iCheck({
                checkboxClass: 'icheckbox_square-blue',
                radioClass: 'iradio_square-blue',
                increaseArea: '20%' // optional
            });
        });
    </script>
</body>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('la.layouts.auth', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>