<?php

/**
 * Controller genrated using LaraAdmin
 * Help: http://laraadmin.com
 */

namespace App\Http\Controllers;

use Illuminate\Support\Facades\Config;
use \Input as Input;
use App\Http\Requests;
use Illuminate\Http\Request;
use DB;
use Socialite;
use Session;
use App\Http\Controllers\Controller;
use Auth;
use Hash;
use Validator;
use Datatables;
use App\User;
use Collective\Html\FormFacade as Form;
use Dwij\Laraadmin\Models\Module;
use Dwij\Laraadmin\Models\ModuleFields;
use Exception;

use Mail;
//use Illuminate\Support\Facades\Storage;
use Storage;

class AdminController extends Controller
{
    public function __construct()
    {
        // date_default_timezone_set('Asia/Tokyo');

        // echo($POINTS_VALUE);die;
        // echo(\Config::get('constants.POINTS_VALUE'));die;
    }

        public function common()
      {
          if(isset(Auth::user()->context_id))
          {
        $employee_id = Auth::user()->context_id;
        $user_id = Auth::user()->id;

        $data['packages'] = DB::table('packages')->where('deleted_at', NULL)->where('user_id', $user_id)->get();
        $totalpoint = 0;
        foreach ($data['packages'] as $value) {
            $totalpoint = $totalpoint + $value->points;
        }
        $employeesData = DB::table('employees')->where('deleted_at', NULL)->where('id', $employee_id)->get();
        // print_r($employeesData[0]->remaining_points);die;
        $data['remaining_points'] =  $employeesData[0]->remaining_points;
        return $data;
    }
    
    }

    public function dashboard()
    {
        $this->update_message_report();
          
        $data = $this->common();
        $roleCount = \App\Role::count();
        if (Auth::check()) {
            return view('admin-dashboard.header') . view('admin-dashboard.dashboardpage', $data);
        } else {
            return view('errors.error', [
                'title' => 'Please Login to access restricted area',
                'message' => 'Please Login to access restricted area',
            ]);
        }
    }

    public function manage_k_premium()
    {
        $data = $this->common();
        $roleCount = \App\Role::count();
        if (Auth::check()) {
            return view('admin-dashboard.header') . view('admin-dashboard.manage-k-premium', $data);
        } else {
            return view('errors.error', [
                'title' => 'Migration not completed',
                'message' => 'Please run command <code>php artisan db:seed</code> to generate required table data.',
            ]);
        }
    }

       public function fromweb()
       {
          $data = $this->common();
          if(isset(Auth::user()->id))
          {
          $id = Auth::user()->id;
          $data['web_sms_history_of_scheduled_sms'] = DB::table('web_sms_histories')->where('deleted_at', NULL)->where('set_schedule', 'Scheduled')->whereNotNull('select_date')->where('user_id', $id)->get();

        $data['users_name'] = DB::table('users')->where('deleted_at', NULL)->where('id', $id)->get();
        $roleCount = \App\Role::count();
        if (Auth::check()) {
            return view('admin-dashboard.header') . view('admin-dashboard.fromweb', $data);
        }
    }
        else {
            return view('errors.error', [
                'title' => 'Please Login to access restricted area',
                'message' => 'Please Login to access restricted area',
            ]);
        }
    
        
    }
    
    public function csv_upload()
    {
        if(isset(Auth::user()->id))
        {
        $id = Auth::user()->id;
        $data = $this->common();
        $data['csv_sms_history_of_scheduled_sms'] = DB::table('web_sms_histories')->where('deleted_at', NULL)->where('set_schedule', 'Scheduled')->where('from_csv', 1)->whereNotNull('select_date')->where('user_id', $id)->get();
        $roleCount = \App\Role::count();
        if (Auth::check()) {
            return view('admin-dashboard.header') . view('admin-dashboard.csv-upload', $data);
        }
    }
    

        
        else {
          return view('errors.error', [
        'title' => 'Please Login to access restricted area',
        'message' => 'Please Login to access restricted area',
    ]);
        }
    }


    // public function csv_file_view_page()
    // {
    //     $data = $this->common();
    //     $id = Auth::user()->id;

    //     $roleCount = \App\Role::count();
    //     if (Auth::check()) {
    //         // return view('admin-dashboard.header') . view('admin-dashboard.csv_file_view',$data);
    //         return view('navigation') . view('admin-dashboard.csv_file_view') . view('footer');
    //     } else {
    //         return view('errors.error', [
    //             'title' => 'Migration not completed',
    //             'message' => 'Please run command <code>php artisan db:seed</code> to generate required table data.'
    //         ]);
    //     }
    // }


    public function csv_file_view_page($lang = null)
    {
        $data = $this->common();
        $id = Auth::user()->id;
        $roleCount = \App\Role::count();
        if ($roleCount != 0) {
            if ($roleCount != 0) {
                $filename = (isset($lang) && $lang == 'en') ? 'admin-dashboard.csv_file_view_en' : 'admin-dashboard.csv_file_view';
                // return view('admin-dashboard.csv_file_view', $data) . view('footer');
                return view('navigation') . view($filename, $data) . view('footer');
            }
        } else {
            return view('errors.error', [
                'title' => 'Migration not completed',
                'message' => 'Please run command <code>php artisan db:seed</code> to generate required table data.',
            ]);
        }
    }

          public function message__report()
           {
                $this->update_message_report();
                $data = $this->common();
                 if(isset( Auth::user()->id))
              { 
                 $id = Auth::user()->id;
                 $data['message_report'] = DB::table('message__reports')->where('user_id', $id)->orderBy('date', 'desc' )->get();

              //code for count pending status
             /* $data['pending_report'] = DB::table('message__reports')->where   ('user_id', $id)->where('groupName','PENDING')->get();
             $pending_count=count($data['pending_report']);
              echo 'test'.$pending_count;
             exit;*/      
             
             


             
             $roleCount = \App\Role::count();
        if (Auth::check()) {
            return view('admin-dashboard.header') . view('admin-dashboard.message__report', $data);
        } 
      }
         else {
             return view('errors.error', [
                'title' => 'Please Login to access restricted area',
                'message' => 'Please Login to access restricted area',
        
            ]);
        }
    }

    public function purpose_of_use()
    {
         $data = $this->common();
         $roleCount = \App\Role::count();
        if (Auth::check()) {
        return view('admin-dashboard.header') . view('admin-dashboard.purpose-of-use', $data);
        } else {
            return view('errors.error', [
                'title' => 'Migration not completed',
                'message' => 'Please run command <code>php artisan db:seed</code> to generate required table data.',
            ]);
        }
    }

    public function manage_dial_sms()
    {
        $data = $this->common();
        $roleCount = \App\Role::count();
        if (Auth::check()) {
            return view('admin-dashboard.header') . view('admin-dashboard.manage-dial-sms', $data);
        } else {
            return view('errors.error', [
                'title' => 'Migration not completed',
                'message' => 'Please run command <code>php artisan db:seed</code> to generate required table data.',
            ]);
        }
    }



    public function authenticatemobilenumber()
    {
        $data = $this->common();
        $roleCount = \App\Role::count();
        if (Auth::check()) {
            return view('admin-dashboard.header') . view('admin-dashboard.authenticatemobilenumber', $data);
        } else {
            return view('errors.error', [
                'title' => 'Migration not completed',
                'message' => 'Please run command <code>php artisan db:seed</code> to generate required table data.',
            ]);
        }
    }

    public function purchasehistory()
    {
        $data = $this->common();
        if(isset(Auth::user()->id))
        {
        $id = Auth::user()->id;
        $data['purchase_history'] = DB::table('orders')->where('deleted_at', NULL)->where('user_id', $id)->orderBy('created_at', 'desc' )->get();
        // print_r($data['purchase_history']); die;
        if (Auth::check()) {
            return view('admin-dashboard.header') . view('admin-dashboard.purchasehistory', $data);
        } 
    }
        else {
            return view('errors.error', [
                'title' => 'Please Login to access restricted area',
                'message' => 'Please Login to access restricted area',
        
            ]);
        }
    }
      public function changeaccountinformation()
      {
        $data = $this->common();
        if(isset(Auth::user()->context_id))
        {
        $employee_id = Auth::user()->context_id;
        $data['employeesData'] = DB::table('employees')->where('deleted_at', NULL)->where('id', $employee_id)->get();
        if (Auth::check()) {
            return view('admin-dashboard.header') . view('admin-dashboard.changeaccountinformation', $data);
        } 
    }else {
            return view('errors.error', [
                'title' => 'Please Login to access restricted area',
                'message' => 'Please Login to access restricted area',
        
            ]);
        }
    }

     public function usagelog()
       {
          $data = $this->common();
          if(isset(Auth::user()->id))
          {
          $id = Auth::user()->id;
          
           /*$data['web_sms_history'] = DB::table('web_sms_histories')->where('deleted_at', NULL)->where('user_id', $id)->orderBy('id', 'DESC')->get();*/


        $data['web_sms_history'] = DB::table('message__reports')->where('deleted_at', NULL)->where('user_id', $id)->where('groupName','DELIVERED')->orderBy('id', 'DESC')->get();
   

    if (Auth::check()) {
            return view('admin-dashboard.header') . view('admin-dashboard.usagelog', $data);
        } 
    }
    else {
            return view('errors.error', [
                'title' => 'Please Login to access restricted area',
                'message' => 'Please Login to access restricted area',
        
            ]);
        }
    }

    public function logout()
    {
        $roleCount = \App\Role::count();
        if (Auth::check()) {
            return view('admin-dashboard.header') . view('admin-dashboard.logout');
        } else {
            return view('errors.error', [
                'title' => 'Migration not completed',
                'message' => 'Please run command <code>php artisan db:seed</code> to generate required table data.',
            ]);
        }
    }

    public function edit()
    {
        $data = $this->common();
        $context_id = Auth::user()->context_id;
        $roleCount = \App\Role::count();
        if (Auth::check()) {
            $data['user_data'] = DB::table('employees')->select('id as emp_id', 'name', 'email', 'mobile', 'address', 'postal_code')->where('deleted_at', NULL)->where('id', $context_id)->first();
            //print_r($data['user_data']);die;
            return view('admin-dashboard.header') . view('admin-dashboard.edit', $data);
        } else {
            return view('errors.error', [
                'title' => 'Migration not completed',
                'message' => 'Please run command <code>php artisan db:seed</code> to generate required table data.',
            ]);
        }
    }

    //  update-data for change-account-information
    public function update_user_data(Request $request)
    {
        $data = $this->common();
        $employee_id = Auth::user()->context_id; {
            $rules = Module::validateRules("users", $request);
            $rules = array('name' => 'required', 'address' => 'required', 'postal_code' => 'required',             'mobile' => 'mobile',);
            // $data['user_data'] = DB::table('employees')->where('name', $request->name, 'address', $request->address, 'postal_code', $request->postal_code, 'mobile', $request->mobile)->first();

            $data['employeesData'] = DB::table('employees')->where('deleted_at', NULL)->where('id', $employee_id)->update(['name' => $request->name, 'address' => $request->address, 'postal_code' => $request->postal_code, 'mobile' => $request->mobile]);

            if (!empty($data['employeesData'])) {
                Session::flash('user_data_updated', 'Successfully Updated!');
                return redirect('changeaccountinformation');
                //return view('admin-dashboard.header') . view('admin-dashboard.changeaccountinformation', $data);
            } else {
                return view('errors.error', ['title' => 'Migration not completed', 'message' => 'Please run command <code>php artisan db:seed</code> to generate required table data.',]);
            }
        }
    }
    /*
     * Show the application dashboard.
     *
     * @return Response
     */
    public function get_usageLog(Request $request)
    {
        $data = $this->common();
        $id = Admin::user()->id;
        $roleCount = \App\Role::count();
        if ($roleCount != 0) { } else {
            return view('errors.error', [
                'title' => 'Migration not completed',
                'message' => 'Please run command <code>php artisan db:seed</code> to generate required table data.',
            ]);
        }
    }

        public function package_sms()
         {
            $data = $this->common();
           //$employee_id = Auth::user()->context_id;
          $user_id = Auth::user()->id;
          $roleCount = \App\Role::count();
          $data['packs'] = DB::table('packs')->where('deleted_at', NULL)->get();      
          $data['transaction_details'] = DB::table('transaction_details')->where('user_id', $user_id)->where('type_id','1')->orderBy('date', 'desc')->get();
    
        if (Auth::check()) {
            return view('admin-dashboard.header') . view('admin-dashboard.package-sms', $data);
        } else {
            return view('errors.error', [
                'title' => 'Please Login to access restricted area',
                'message' => 'Please Login to access restricted area',
    
            ]);
        }
    }



    public function package_sms_add()
    {
        $data = $this->common();
        $roleCount = \App\Role::count();
        if (Auth::check()) {

            

            return view('admin-dashboard.header') . view('admin-dashboard.package-sms', $data);
        } else {
            return view('errors.error', [
                'title' => 'Please Login to access restricted area',
                'message' => 'Please Login to access restricted area',
        
            ]);
        }
        $insert_id = Module::insert("Package", $request);
    }
    /*  public function payment_success()
    {
        $data = $this->common();
       $roleCount = \App\Role::count();
        if (Auth::check()) {
            return view('admin-dashboard.header') . view('admin-dashboard.payment_success',$data);
        } else {
            return view('errors.error', [
                'title' => 'Migration not completed',
                'message' => 'Please run command <code>php artisan db:seed</code> to generate required table data.',
            ]);
        }
    }
 */
      public function package_sms_add_point(Request $request)
      {
          //print_r($request->all());die;
          $data = $this->common();
          $roleCount = \App\Role::count();
          if (Auth::check()) {
            $amount=$request->amount;
           

            if ($request->amount >= 5 && $request->amount <= 10) {
                
                $point = $amount * 50;

            } elseif ($request->amount >= 11 && $request->amount <= 30) {
                $point = $amount * 40;

            } elseif ($request->amount >= 31 && $request->amount <= 100) {
                $point = $amount * 30;

            } elseif ($request->amount >= 101 && $request->amount <= 300) {
                $point = $amount * 20;

            } elseif ($request->amount >= 301 && $request->amount <= 500) {
                $point = $amount * 15;

            } elseif ($request->amount >= 501 && $request->amount <= 30000) {
                $point = $amount * 10;
            }else{
                $point = 'please enter valid points';
                echo "please enter valid points";
                Session::flash('ValidPointPurchase', 'please enter valid purchase points!');
                return redirect()->back();
                
            }
            //  print_r($point);die;
            $data['amount'] = $point;
            $data['purchase_point'] = $request->input('amount');

            return view('admin-dashboard.header') . view('admin-dashboard.product_form', $data);
        } else {
            return view('errors.error', [
               'title' => 'Please Login to access restricted area',
                'message' => 'Please Login to access restricted area',
        
            ]);
        }
    }


    // public function package_sms_add_point(Request $request)
    // {
    //     //print_r($request->all());die;
    //     $data = $this->common();
    //     $roleCount = \App\Role::count();
    //     if (Auth::check()) {
    //         $data['amount'] = $request->input('amount');
    //         $data['package_name'] = $request->input('package_name');

    //         return view('admin-dashboard.header') . view('admin-dashboard.product_form', $data);
    //     } else {
    //         return view('errors.error', [
    //             'title' => 'Migration not completed',
    //             'message' => 'Please run command <code>php artisan db:seed</code> to generate required table data.',
    //         ]);
    //     }
    // }

    public function stripePost(Request $request)
    {
        if (!empty($_POST['stripeToken'])) {

            $token  = $_POST['stripeToken'];
            $stripe = array(
                // "secret_key"      => "sk_test_afm5UcS9SFFjYgSs5hTWIG7Y00G5E2b2Zx",
                // "publishable_key" => "pk_test_9ec6REkAGDDrUTCf5WqhxOJA00kzzU4vmj"
                "secret_key"      => "sk_live_K2jhxa6bXPXBtpk82e9RwnLl00Gr2TFmuz",
                "publishable_key" => "pk_live_ziRNjwDWsyBtKHnI70vOP1cH00TqqhFp86"
            );

            \Stripe\Stripe::setApiKey($stripe['secret_key']);
            $customer = \Stripe\Customer::create(array(
                // 'email' => $email,
                'source'  => $token
            ));

            $currency = "JPY";
            $orderID = "SKA92712382139";
            $charge = \Stripe\Charge::create(array(
                'customer' => $customer->id,
                'amount'   => $request->input('price'),
                // 'item_name' => $request->input('itemName'),
                'currency' => $currency,
                'description' => 'ET242AS',
                'metadata' => array(
                    'item_id' => 'SKA92712382139'
                )
            ));

            //retrieve charge details
            $chargeJson = $charge->jsonSerialize();
            //check whether the charge is successful
            if ($chargeJson['amount_refunded'] == 0 && empty($chargeJson['failure_code']) && $chargeJson['paid'] == 1 && $chargeJson['captured'] == 1) {
                $amount = $chargeJson['amount'];
               $point = $request->input('point');
                $balance_transaction = $chargeJson['balance_transaction'];
                $currency = $chargeJson['currency'];
                $status = $chargeJson['status'];
                $date = date("Y-m-d H:i:s");
                // $orderID_updated = Module::updateRow("orders", $update_data, $orderID);
                $insertedOrderID = DB::table('orders')->insert([
                    'name' => $request->input('name'),
                    'package_name' => $request->input('itemName'),
                    'paid_amount' => $request->input('price'),
                    'purchased_points' => $request->input('point'),
                    //  'purchased_points' => $request->input('point') * Config::get('constants.POINTS_VALUE'),
                    'email' => $request->input('email'),
                    'card_num' => $request->input('card_num'),
                    'card_cvc' => $request->input('card_cvc'),
                    'exp_month' => $request->input('exp_month'),
                    'exp_year' => $request->input('exp_year'),
                    'payment_status' => $status,
                    'created_at' => $date,
                    'date' => $date,
                    'user_id' => Auth::user()->id
                 ]);  

                if ($insertedOrderID) 
                {
                    if ($status == 'succeeded') {
                      $employee_id = Auth::user()->context_id;
                      $employeesData = DB::table('employees')->where('deleted_at', NULL)->where('id', $employee_id)->get();
                        $remaining_points =  $employeesData[0]->remaining_points;
                       $total_point =$point + $remaining_points;
                        //$total_point = (($amount * Config::get('constants.POINTS_VALUE')) + $remaining_points);
                       /* $get_transaction= DB::table('transaction_details')->where('user_id',Auth::user()->id)->get();
              */
                //          if(empty($get_transaction))
                   //{
                    //for insert points in transaction details table
                      $transactionid = DB::table('transaction_details')->insert([
                         'amount_add' => $request->input('point'),
                         'user_id' => Auth::user()->id,
                         'type_id'=>'1',
                         'created_at' => $date,
                         'date' => $date,
                        ]);
                 /*        }
                        else
                        {
                            $transaction_update= DB::table('transaction_details')->where     ('user_id',Auth::user()->id)->update(['total_amount' => $total_point]);
                          }
                  */          
                  $orderID_updated = DB::table('employees')->where('id', $employee_id) ->update(['remaining_points' => $total_point]);
                             $data = $this->common();

                            $data = array(
                              'payment_status' => $status,
                              'purchased_points' => $point,
                              'paid_amount' => $amount,
                              'created_at' => $date,
                              'date' => $date
                        );
                          return view('admin-dashboard.header') . view    ('admin-dashboard.payment_success', $data);
                      } else {
                         echo "Transaction has been failed";
                    }
                } else {
                    echo "Data not inserted. Transaction has been failed";
                }
            }  else {
                    echo "Invalid Token";
                    $statusMsg = "";
                }
           }
  }
    public function payment_success()
    {
        // $data['price'] = $_POST['price'];
        $product_id = $this->uri->segment(3);
        $data['price'] = $this->OrderStatusModel->product_status($product_id);

        //$this->load->view('payment_success', $data);
        return view('admin-dashboard.header') . view('admin-dashboard.dashboard', $data);
    }
    public function payment_error()
     {
         $this->load->view('payment_error');
     }
    public function help()
    {
        $this->load->view('help');
    }
        
}
