    @include('admin-dashboard.navigation')
    <link rel="stylesheet" type="text/css" href="css/bootstrap-datetimepicker.min.css">
    <main>

        <div class="side-content">
            <section>

                <div class="messages text-center">
                    <!-- <div class="alert alert-warning alert-dismissible fade show">
                    Since there is no point purchase history, <strong>SMS text can not be set on your own.</strong>
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div> -->
                    @if (Session::has('SMSSentSucc'))
                    <div class="alert alert-success alert-dismissible fade show">
                        <strong>SMSが正常に送信されました</strong>
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    @endif
                    @if (Session::has('InsufficientPoints'))
                    <div class="alert alert-danger alert-dismissible fade show">
                        <strong>メッセージを送信するのに十分なポイントがありません。</strong>
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    @endif
                    @if (Session::has('InsufficientDataPoints'))
                    <div class="alert alert-danger alert-dismissible fade show">
                        <strong>メッセージを送信するのに十分なポイントがありません。</strong>
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    @endif
                    @if (Session::has('SMSSentError'))
                    <div class="alert alert-danger alert-dismissible fade show">
                        <strong>SMSが送信されていません</strong>
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    @endif
                </div>

                <h3>SMS送信</h3>

                <div class="dashboard-card">
                    <div class="dashboard-card-div">
                        <h4>ウェブからSMS配信</h4>
                    </div>

                    <form id="form" method="post" action="{{url('/web-sms-history-store')}}" role="form" novalidate="">
                        <input type="hidden" name="_token" id="token" value="{{ csrf_token() }}">
                        <div class="dashboard-card-div dashboard-card-body">
                            <div class="row">
                                <div class="col-12 col-lg-6">

                                    <div class="margin-bt-sm">
                                        <h4>送信者</h4>
                                        <div class="input-group">
                                            <!-- @foreach($users_name as $row) -->
                                            <input type="text" name="sender" placeholder="例：＠SMS " class="form-control" id="id_sender" value="" required>
                                            <!-- {{ Auth::user()->name}} -->
                                            <!-- @endforeach -->

                                        </div>
                                        <span class="error" id="id_sender_error"></span>
                                        <p class="help-text">* <strong>11</strong>以内半角英数字のみ。</p>
                                    </div>
                                </div>
                                <div class="col-12 col-lg-6">
                                    <div class="margin-bt-sm">
                                        <h4>受信者</h4>
                                        <div class="input-group counter-input">
                                            <textarea name="recipient" rows="3" required cols="20" class="form-control" placeholder="例：+819012345678" id="id_recipient" required></textarea>
                                            <div class="counter">
                                                <span id="id_recipient_counter_placeholder"></span> / 1000 受信者
                                            </div>
                                        </div>
                                        <span class="error" id="id_recipient_error"></span>
                                        <p class="help-text">* 複数宛先の場合、１行に1つの番号を指定してください。一度に1000宛先まで送信できます。</p>
                                    </div>
                                </div>
                            </div>
                            <div class="margin-bt-sm">
                                <h4>メッセージ</h4>
                                <div class="input-group counter-input">
                                    <textarea name="message" rows="6" id="id_message" required placeholder="例：こんにちは" cols="40" class="form-control" required></textarea>
                                    <div class="counter">
                                        <span id="id_message_counter_placeholder"></span> 文字
                                    </div>
                                </div>
                                <span class="error" id="id_message_error"></span>
                                <p class="help-text">* 長いメッセージは自動的に分割し送信されます。文字数制限などの詳細はこちらの<a href="{{ url('/faq') }}" target="_blank" class="link-underline">FAQをご参考ください。</a>.</p>
                            </div>

                            <div class="info">
                                <h4>送信の際の注意事項</h4>
                                <p>ＳＭＳ送信には法規制があります。詳しくは<a href="{{url('/pdf') }}//特定電子メール法のポイント.pdf" target="_blank" class="link-underline" accept="application/pdf">こちら</a>をご参照ください。
                                </p>
                            </div>
                        </div>

                        <div class="dashboard-card-div">
                            <div class="row">
                                <div class="col-6">
                                    <div class="timezone text-normal">
                                        設定中のタイムゾーン <span class="badge">UTC + 9:00</span>
                                    </div>
                                </div>
                                <div id="radioForm" class="col-6 text-right">
                                    <div class="form-check form-check-inline">
                                        <label class="form-check-label cursor-pointer" for="noSchedule">
                                            <input class="form-check-input" type="radio" name="set_schedule" id="noSchedule" value="Now" checked>
                                            すぐに送信する</label>
                                    </div>
                                    <div class="form-check form-check-inline margin-0">
                                        <label class="form-check-label cursor-pointer" for="setSchedule">
                                            <input class="form-check-input" type="radio" name="set_schedule" id="setSchedule" value="Scheduled">
                                            予約する</label>
                                    </div>
                                </div>
                                <div id="scheduleSetter" style="display: none;">
                                    <div class="row">
                                        <div class="col-7 col-lg-8">
                                            <div class="notice margin-0">
                                                <p>
                                                    SMS送信は、ベストエフォート・ベースで配信開始され、順次配信が行われます。予約されたメッセージが必ずしも、予約した時刻にすべて配信開始・完了する保障のないことを、ご承知ください。
                                                    SMS配信の予約前に、アカウントのポイント残高が、すでに予約済みメッセージを含めた全ての送信に十分であるかどうかも、ご確認ください。
                                                </p>
                                            </div>
                                        </div>
                                        <div class="col-5 col-lg-4">

                                            <input type="text" name="select_date" autocomplete="off" disabled data-toggle="datetimepicker" class="form-control" id="datetimepicker" data-target="#datetimepicker" />
                                            <span class="error" id="select_date_error"></span>
                                            <p class="help-text mb-0 text-right">* 予約送信は、1時間後から2週間後まで設定できます。</p>
                                            <div class="invalid-feedback text-right">

                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="dashboard-card-div text-right">
                            <button type="submit" id="submit_sms" name="submit_sms" class="btn btn-point">SMSを送信</button>
                        </div>
                    </form>
                </div>

                <hr>
                <div class="row">
                    <div class="col-sm-6 form-group" style="color:#004592">ウェブSMS 送信予約</div>
                    <!-- <div class="col-sm-6 timezone text-normal text-right">Your Timezone <span class="badge">UTC -12:00</span></div> -->
                </div>
                <!-- <hr>
                <table>
                    <thead>
                        <tr>
                            <th class="col-6">Web SMS Scheduled Sendings</th>
                            <th class="col-6 text-right">
                                <div class=" col-6 timezone text-normal">
                                    Your Timezone <span class="badge">UTC -12:00</span>
                                </div>
                            </th>
                        </tr>
                    </thead>
                </table> -->
                @if(empty($web_sms_history_of_scheduled_sms))
                <div class="dashboard-card-div dashboard-card-body">
                    <div class="empty text-center">
                        <p class="margin-0">送信予約はありません。</p>
                    </div>
                </div>
                @endif
                @if(!empty($web_sms_history_of_scheduled_sms))
                <table class="table table-striped table-bordered" id="fromweb">
                    <thead>
                        <tr>
                            <th>送信者</th>
                            <th>受信者</th>
                            <th>メッセージ</th>
                            <th>送信日</th>
                        </tr>
                    </thead>
                    <?php $totalcount = 0; ?>
                    @if (!empty($web_sms_history_of_scheduled_sms))
                    <tbody>
                        @foreach($web_sms_history_of_scheduled_sms as $row)
                        <?php

                        $origDate = $row->select_date;

                        // $newDate = date("d-m-Y g:i A", strtotime($origDate));
                        // echo $newDate;
                        $recipient_array = json_decode($row->recipient); //json_encode($row->recipient);
                        $recipient = '';
                        if (is_array($recipient_array)) {
                            $totalcount = $totalcount + count($recipient_array);
                            $recipient = implode(',', $recipient_array);
                        } else {
                            $totalcount = $totalcount + 1;
                            $recipient = $recipient_array;
                        }
                        ?>
                        <tr>
                            <td style="width: 230px; word-break:break-all; word-wrap:break-word;">{{$row->sender}}</td>
                            <td style="width: 530px; word-break:break-all; word-wrap:break-word;">{{$recipient}}</td>
                            <td style="width: 330px; word-break:break-all; word-wrap:break-word;">{{$row->message}}</td>
                            <td style="width: 180px; word-break:break-all; word-wrap:break-word;">{{$origDate}}</td>
                        </tr>
                        @endforeach
                    </tbody>
                    @endif
                    <tfoot>
                        <tr>
                            <td colspan="4" style="align-content:left;">合計受取人 :&nbsp;<?php echo $totalcount; ?></td>
                        </tr>
                    </tfoot>

                </table>
                @endif
            </section>
        </div>
    </main>

    <!-- Bootstrap core JavaScript
  ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script src="{{url('/admin-dash/assets/js/jquery.min.js')}}"></script>
    <script src="{{url('/admin-dash/assets/js/popper.min.js')}}"></script>
    <!-- <script src="{{url('/admin-dash/assets/js/bootstrap.min.js')}}"></script> -->
    <script src="{{url('/admin-dash/assets/js/moment.min.js')}}"></script>
    <script src="{{url('js/bootstrap.min.js')}}"></script>
    <script src="{{url('/admin-dash/assets/js/bootstrap-datetimepicker.min.js')}}"></script>
    <script src="{{url('js/popper.min.js')}}"></script>
    <script src="{{url('/admin-dash/assets/js/jquery.counter-2.1.js')}}"></script>
    <script src="https://cdn.datatables.net/1.10.4/js/jquery.dataTables.min.js"></script>



    <script>
        $(document).ready(function() {
            $('#id_message').counter({
                goal: 'sky',
                placeholder: 'id_message_counter_placeholder',
            });
            $('#id_recipient').counter({
                goal: 'sky',
                type: 'word',
                placeholder: 'id_recipient_counter_placeholder',
            });

            $('#form').submit(function() {
                $('input:submit').attr("disabled", true);
                return true;
            });

            // init picker
            $('#datetimepicker').datetimepicker({
                locale: moment.locale('ja'),
                format: 'DD-MM-YYYY HH:mm',
            }).on('dp.show', function(e) {
                $(this).data('DateTimePicker').minDate(moment().add(1, 'minutes'));
                // $(this).data('DateTimePicker').maxDate(moment().add(2, 'weeks').add(1, 'hour'));
                // 1 hour is added so that the current time in the picker is valid,
                // even when selecting the date two weeks from now
            });

            $('#radioForm').change(function() {
                if ($('#setSchedule').prop('checked')) {
                    $('#scheduleSetter').css('display', 'block');
                    $('#datetimepicker').prop('disabled', false);
                } else {
                    $('#scheduleSetter').css('display', 'none');
                    $('#datetimepicker').prop('disabled', true);
                }
            });
            $('#fromweb').DataTable({
                order: [
                    [3, 'asc']
                ]
            });
        });

        $("form").submit(function(e) {
            e.preventDefault();

            var isSubmit = true;

            if ($('#id_sender').val().trim() == '') {
                $('#id_sender_error').show().html('送信者を入力してください');
                isSubmit = false;
            }
            if ($('#id_recipient').val().trim() == '') {
                $('#id_recipient_error').show().html('受取人の番号を入力してください');
                isSubmit = false;
            }
            if ($('#id_message').val().trim() == '') {
                $('#id_message_error').show().html('メッセージを入力してください');
                isSubmit = false;
            }

            if ($('#setSchedule').prop('checked')) {
                if ($('#datetimepicker').val().trim() == '') {
                    $('#select_date_error').show().html('日付を選択してください');
                    isSubmit = false;
                }
            }


            if (isSubmit) {
                $("#submit_sms").prop('disabled', true);
                this.submit();
            }

        });
    </script>


    </body>

    </html>