<!DOCTYPE html>
<html lang="en">

<head>

	<meta charset="utf-8">
	<title>Stripe Gateway Integration | Codeigniter</title>
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" />

	<!-- jQuery is used only for this example; it isn't required to use Stripe -->
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>

	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.bundle.min.js" />

	<!-- Stripe JavaScript library -->
	<script type="text/javascript" src="https://js.stripe.com/v2/"></script>

	<script type="text/javascript">
		//set your publishable key
		Stripe.setPublishableKey('pk_test_9ec6REkAGDDrUTCf5WqhxOJA00kzzU4vmj');

		//callback to handle the response from stripe
		function stripeResponseHandler(status, response) {
			if (response.error) {
				//enable the submit button
				$('#payBtn').removeAttr("disabled");
				//display the errors on the form
				// $('#payment-errors').attr('hidden', 'false');
				$('#payment-errors').addClass('alert alert-danger');
				$("#payment-errors").html(response.error.message);
			} else {
				var form$ = $("#paymentFrm");
				//get token id
				var token = response['id'];
				//insert the token into the form
				form$.append("<input type='hidden' name='stripeToken' value='" + token + "' />");
				//submit form to the server
				form$.get(0).submit();
			}
		}
		$(document).ready(function() {
			//on form submit
			$("#paymentFrm").submit(function(event) {
				//disable the submit button to prevent repeated clicks
				$('#payBtn').attr("disabled", "disabled");

				//create single-use token to charge the user
				Stripe.createToken({
					number: $('#card_num').val(),
					cvc: $('#card-cvc').val(),
					exp_month: $('#card-expiry-month').val(),
					exp_year: $('#card-expiry-year').val()
				}, stripeResponseHandler);

				//submit from callback
				return false;
			});
		});
	</script>



</head>

<body>

	<!-- Bootstrap 4 Navbar  -->
	<nav class="navbar navbar-expand-md navbar-dark bg-dark">
		<!-- <a href="#" class="navbar-brand">Stripe Gateway</a> -->

		<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault" aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
			<span class="navbar-toggler-icon"></span>
		</button>

		<div class="collapse navbar-collapse" id="navbarsExampleDefault">

		</div>

	</nav>
	<!-- End Bootstrap 4 Navbar -->


	<div class="container-fluid">
		<div class="row">
			<!-- Main jumbotron for a primary marketing message or call to action -->
			<!-- <div class="jumbotron"> -->
			<!-- <div class="container-fluid">
	        <h1 class="display-5"></h1>
	        
	      </div> -->
			<!-- </div> -->
		</div>
	</div>

	<div class="container">
		<div class="row" style="padding: 4%;">

			<div class="col-md-6" style="margin-left: 30%;">

				<div class="card">
					<div class="card-header display-tr bg-secondary text-white">
						<h4>クレジットカード払い 
							<img class="img-responsive pull-right" src="http://i76.imgup.net/accepted_c22e0.png"></h4>

					</div>
					<div class="card-body bg-light">
						<div id="payment-errors"></div>
						<form method="post" action="{{url('/stripePost')}}" id="paymentFrm" role="form">

							<div class="form-group">
								<input type="hidden" name="_token" id="csrf-token" value="{{ Session::token() }}" />
								 <h5> <strong> ポイント数 : </strong>
									<?php echo $purchase_point;
									?>
								</h5> 
								<h5> <strong>金額: </strong>
								¥ <?php echo $amount; ?>
								</h5>
							</div>
							<div class="form-group">
								<input type="hidden" name="price" class="form-control" placeholder="price" value="<?php echo $amount;?>">

								<input type="hidden" name="itemName" class="form-control" placeholder="itemName" value="Package">

								<input type="hidden" name="point" class="form-control" placeholder="point" value="<?php echo $purchase_point;?>">

								<input type="text" name="name" class="form-control" placeholder="クレジットカード名義人氏名" value="<?php //echo //set_value('name'); ?>" required>
							</div>

							<div class="form-group">
								<input type="email" name="email" class="form-control" placeholder="email@you.com" value="<?php //echo// set_value('email'); ?>" required />
							</div>

							<div class="form-group">
								<input type="number" name="card_num" placeholder="カード番号" id="card_num" onKeyDown="if(this.value.length==16 && event.keyCode!=8) return false;" class="form-control" placeholder="スペースなしのカード番号" autocomplete="off" value="<?php //echo //set_value('card_num'); 
																																																									?>" required>
							</div>


							<div class="row">

								<div class="col-sm-8">
									<div class="row">
										<div class="col-sm-6">
											<div class="form-group">
												<input type="text" name="exp_month" maxlength="2" class="form-control" id="card-expiry-month" placeholder="MM" value="<?php //echo// set_value('exp_month'); 
																																										?>" required>
											</div>
										</div>

										<div class="col-sm-6">
											<div class="form-group">
												<input type="text" name="exp_year" class="form-control" maxlength="4" id="card-expiry-year" placeholder="YYYY" required="" value="<?php //echo //set_value('exp_year'); ?>">
											</div>
										</div>
									</div>
								</div>

								<div class="col-sm-4">
									<div class="form-group">
										<input type="text" name="card_cvc" id="card_cvc" maxlength="3" class="form-control" autocomplete="off" placeholder="CVC" value="<?php //echo// set_value('cvc'); ?>" required>
									</div>
								</div>
							</div>


							<div class="form-group">
								<button class="btn btn-secondary form-control" type="reset">リセットする</button>

							</div>

							<div class="form-group ">

								<button type="submit" id="payBtn" class="btn btn-primary form-control">支払い</button>

							</div>
						</form>
					</div>
				</div>

			</div>


</body>

</html>